//
// C++ Interface: dcopcall
//
// Description:
//
//
// Author: Fred Schaettgen <kdebluetooth@schaettgen.de>, (C) 2003
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef DCOPCALL_H
#define DCOPCALL_H

#include <dcopclient.h>
#include <qcstring.h>
#include <qdatastream.h>
#include <qstring.h>
#include <qstringlist.h>

/**
@author Fred Schaettgen
*/
class DCOPCall {
public:
    DCOPCall(DCOPClient* client, QString app, QString obj);
    ~DCOPCall();
    QString call(QString func);
    QStringList broadcast(QString func, bool includeself=false, bool onlyfirst=false);
    QDataStream& args();
    QDataStream& ret();

private:
    DCOPClient* client;
    QString app;
    QString obj;
    QDataStream *argStream;
    QDataStream *retStream;
    QByteArray argArray;
    QByteArray retArray;
};


#endif
