//
// C++ Interface: scriptscontroller
//
// Description:
//
//
// Authors: Alex Ibrado <bluetooth@ibrado.com>, (C) 2003
//          Fred Schaettgen <kdebluetooth@schaettgen.de>, (C) 2003
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef SCRIPTSCONTROLLER_H
#define SCRIPTSCONTROLLER_H

#include "controller.h"
#include <qstringlist.h>

class DCOPClient;

/**
@author Alex Ibrado
*/
class ScriptsController : public Controller
{
Q_OBJECT
public:
    ScriptsController(QObject* parent);
    ~ScriptsController();
    void commandCHCK();
    void commandDINF(unsigned int &bitrate,
        unsigned int &sampleRate, unsigned int &channels);
    void commandFADE();
    void commandFFWD();
    int commandFINF(QString filename);
    SongInfo commandINFO();
    SongInfo commandINF2();
    void commandLADD(QString filename);
    QStringList commandLIST();
    void commandNEXT();
    void commandPAUS();
    void commandPLAY(QString filename, bool clear = false);
    QStringList commandPLST(int &curPos, bool useFilenames = false);
    void commandPREV();
    void commandREPT(bool repeat);
    void commandRMAL();
    void commandRWND();
    void commandSHFL(bool shuffle);
    void commandSHUT();
    void commandSLCT(Q_UINT16 index);
    void commandSTEN();
    void commandSTOP();
    void commandSTRT();
    void commandVOLM(Q_UINT8 volume);
    bool commandFULL();
    void commandSEEK(Q_UINT32 seconds);
    Q_UINT32 commandPLEN();
    bool commandGVOL(Q_UINT8 &volume);
    int currentIndex();

private:
    int selectedScript;
    KConfig* scriptsCfg;
    QStringList scriptsList;
    bool lastRepeat;
    bool lastShuffle;
    bool useCustomPlaylist;
    bool showingCustomPlaylist;
    bool mustListScripts;
    Controller::SongInfo parseInfo(QStringList output);
    bool call(QString exe, QStringList param, QStringList *output = NULL);
};

#endif
