//-*-c++-*-
/***************************************************************************
 *   Copyright (C) 2003 by Fred Schaettgen                                 *
 *   kdebluetooth@schaettgen.de                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef DEBUGDIALOG_H
#define DEBUGDIALOG_H

#include "debugdialogbase.h"
#include <qguardedptr.h>

class AtCommander;
class PhoneController;

/**
@author Fred Schaettgen
*/
class DebugDialog : public DebugDialogBase
{
Q_OBJECT
public:
    DebugDialog(QWidget* parent, AtCommander *atcommander,
        PhoneController *phonecontroller);
    ~DebugDialog();

private slots:
    void slotSendCommand();
    void slotLineSent(QString s);
    void slotLineReceived(QString s);
    void slotPhoneStatusChanged();

private:
    QGuardedPtr<AtCommander> atcommander;
    QGuardedPtr<PhoneController> phonecontroller;

    void addLine(QString text, QString color);
};

#endif
