//-*-c++-*-
/***************************************************************************
 *   Copyright (C) 2003 by Fred Schaettgen                                 *
 *   kdebluetooth@schaettgen.de                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#include <kabc/addressbook.h>
#include <kabc/stdaddressbook.h>
#include "phonenumbercompletion.h"

using namespace KABC;

PhoneNumberCompletion::PhoneNumberCompletion()
{
    setOrder( KCompletion::Sorted );

    AddressBook* addressBook = StdAddressBook::self();
    addressBook->load();
    AddressBook::Iterator it = addressBook->begin();
    for (; it != addressBook->end(); ++it) {
        QString lastName = it->familyName();
        QString firstName = it->givenName();
        PhoneNumber::List phoneNumbers = it->phoneNumbers();
        PhoneNumber::List::Iterator phoneIt = phoneNumbers.begin();
        for (; phoneIt != phoneNumbers.end(); ++phoneIt) {
            QString number = (*phoneIt).number();
            QString type = (*phoneIt).typeLabel();
            addItem(QString("%1 %2/%4 <%3>")
                .arg(firstName).arg(lastName).arg(number).arg(type));
            addItem(QString("%2 %1/%4 <%3>")
                .arg(firstName).arg(lastName).arg(number).arg(type));
            addItem(QString("%3 (%1 %2/%4)")
                .arg(firstName).arg(lastName).arg(number).arg(type));
        }
    }
}


PhoneNumberCompletion::~PhoneNumberCompletion()
{
}


#include "phonenumbercompletion.moc"
