//-*-c++-*-
/***************************************************************************
 *   Copyright (C) 2003 by Fred Schaettgen                                 *
 *   kdebluetooth@schaettgen.de                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef SOUNDSERVER_H
#define SOUNDSERVER_H

#include <qobject.h>
#include <artsc/artsc.h>
#include <libkbluetooth/deviceaddress.h>
#include <qguardedptr.h>

class SoundThread;
class QEvent;
namespace KBluetooth {
    class ScoServerSocket;
    class ScoSocket;
}

class VorbisEncoder;
class SoundThread;

/**
@author Fred Schaettgen
*/
class SoundServer : public QObject
{
friend class SoundThread;
Q_OBJECT
public:
    SoundServer(QObject *owner);
    ~SoundServer();
    virtual bool event(QEvent *e);
    bool connected();
    void setVorbisEncoder(VorbisEncoder* encoder);
protected:
    QGuardedPtr<VorbisEncoder> vorbisencoder;
public slots:
    void openSpeechConnection(KBluetooth::DeviceAddress addr);
    void closeSpeechConnection();
private:
    bool bConnected;
    SoundThread *soundThread;
    KBluetooth::ScoServerSocket *serverSocket;
private slots:
    void slotNewScoConnection(int socket, KBluetooth::DeviceAddress addr);
signals:
    void speechConnectionStatus(bool state);
};

#endif
