/***************************************************************************
                          devinfo.h  -  description
                             -------------------
    begin                : Sat Ott 28 2003
    copyright            : (C) 2003 by Simone Gotti
    email                : motaboy@libero.it
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef _DEVINFO_H_
#define _DEVINFO_H_


#include "serviceinfo.h"

#include <qstring.h>
#include <vector>
#include <qguardedptr.h>
#include <libkbluetooth/deviceaddress.h>
#include <libkbluetooth/sdpdevice.h>

class DevInfo
{

public:
	typedef std::vector<ServiceInfo> ServiceInfoVector;

    DevInfo();
    ~DevInfo();

	ServiceInfoVector& services();
    bool haveServiceClassID(QString);
    std::vector<uint> rfcommChannels(QString);
    QString name();
    KBluetooth::DeviceAddress address();
	bool discovered();

	void setName(QString);
	void setAddress(KBluetooth::DeviceAddress);
	void setDiscovered(bool);
	void addService(ServiceInfo);
	void clearServices();

protected:

    ServiceInfoVector m_services;
    KBluetooth::DeviceAddress devAddress;
    QString devName;
    bool m_discovered;

};

#endif // _DEVINFO_H_
