/***************************************************************************
 *                                                                         *
 *   copyright (C) 2004 by Michael Buesch                                  *
 *   email: mbuesch@freenet.de                                             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2        *
 *   as published by the Free Software Foundation.                         *
 *                                                                         *
 ***************************************************************************/

#ifndef __METAWNDIMPL_H
#define __METAWNDIMPL_H

#include "metawnd.h"
#include "pwmdoc.h"


class MetaWndImpl : public MetaWnd
{
	Q_OBJECT
public:
	MetaWndImpl(QWidget *parent = 0,
		    const char *name = 0,
		    bool modal = FALSE,
		    WFlags fl = 0);
	~MetaWndImpl();

	/** set the content of the window */
	void setContent(const QString &entryName,
			const PwMMetaData &dta);
	/** get the content of the window (only the user changable ones!)*/
	void getContent(PwMMetaData *dta);

protected slots:
	/** ok button pressed */
	void okButton_slot();
	/** cancel button pressed */
	void cancelButton_slot();
	/** valid/today button pressed */
	void validTodayButton_slot();
	/** expire/today button pressed */
	void expireTodayButton_slot();
};

#endif // __METAWNDIMPL_H
